Subject: Re: TV

From: [email-masked] (Jeff Owens)
Date: Fri, 24 Feb 1995 16:59:23 -0500

> RANT MODE ON
> 
> What I've noticed in this thread and the one about TV is the incredible 
> self-righteousness that some of you wallow in.  So you don't like the 
> sanctimonius attitude of those at _Plain_ but then you all wax poetic 
> 'bout your untainted youth sans television.  Good grief!  Even in the 
> earliest editions of Mother Earth News those open-minded longhairs were 
> sure rabid about bein' self-sufficient.  This is one of the things that 
> keeps homesteading from catching on.  People get all jittery when we 
> start to talk like prophets in sackcloth n' ashes.

  Well I have been mostly lurking around here, but the above
  comment prompted a chuckle and a response.  I thought all
  the the negative comments about TV which have been posted
  were just facts.  In my (radical) opinion TV is a very
  serious problem.  It wastes energy, inhibits reasoning, and
  has been proven to depress people who watch it in great
  amounts.  It defines a value system through commercials
  which is very wrong.  Advertising will equate a product
  with an image and try to convince you that this product
  will make you happy.  If we continue raising people this
  way the world will be in trouble soon.  Well, I'll step off
  this soap box now, hope nobody was offended.

  An Introduction.

  We started planing and working towards a more self
  sufficient lifestyle about 30 years ago.  Starting from an
  urban background and living in an apartment made the task
  somewhat difficult.  But, we kept at it and now have many
  of the physical things associated with homesteading.
  (land, creeks, earth sheltered house, orchards, gardens,
  sheep, etc.) What we found interesting was that
  homesteading is more of a mental challenge than physical.
  It did not take long to get a large garden planted, but it
  has taken us ten years to learn about rotation,
  preservation, meal planning, food processing, and all the
  other aspects of food production.  We still have a long way
  to go, but that is good.  If one ever stops learning, then
  life is less interesting.

  Most of the land clearing, building, solar energy systems,
  farm animal trials, fencing, and other setup activities are
  in a maintenance stage.  Our current focus is in food
  production, conservation, and learning to enjoy each day.
  We failed to become self sufficient in the areas of
  transportation and communications.  This was intended to be
  a friendly introduction, so please overlook my writing
  style and insert a grin at the end of each line.  

Jeff Owens (vote with your lifestyle)